Name:           libotf
Version:        0.9.13
Release:        13
Summary:        Library for supporting processing of OpenType fonts
License:        LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz

BuildRequires:  gcc chrpath freetype-devel libXaw-devel
Requires:       freetype

%description
Library for handling OpenType fonts,especially those needed for CJK and other non-Latin.

%package      devel
Summary:      Development support for libotf library
Requires:     %{name} = %{version}-%{release} pkgconfig

%description  devel
Development headers and libraries for libotf.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la
for file in %{buildroot}/usr/bin/*; do chrpath -d $file || true; done

(cd example && make clean && rm -rf .deps && rm Makefile)

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING README NEWS
%{_libdir}/*.so.*
%{_bindir}/{otfdump,otflist,otftobdf,otfview}
%exclude %{_bindir}/libotf-config

%files devel
%doc example
%{_includedir}/*
%{_libdir}/{*.so,pkgconfig/*}

%changelog
 * Fri Nov 15 2019 duyeyu <duyeyu@huawei.com> - 0.9.13-13
- Package init
